# encoding: utf-8
require 'fileutils'
require 'easy_html_generator/generator/base'

# this generator combines files in the dist folder
class EasyHtmlGenerator::Generator::Combine <
  EasyHtmlGenerator::Generator::Base

  def generate!(config)
    result = ''
    config.sources.each do |file_pattern|
      Dir[file_pattern].each do |file|
        next if config.target == file
        result += File.read(file) + "\n"
      end
    end
    FileUtils.mkdir_p File.dirname(config.target)

    File.write(config.target, result)
  end
end
