# encoding: utf-8
require 'uglifier'
require 'easy_html_generator/generator/compile/base'

# this generator minifies js files from src folder and copies them
# to the dist folder
class EasyHtmlGenerator::Generator::Minimize::Js <
  EasyHtmlGenerator::Generator::Compile::Base

  def do_input!(input, *_args)
    self.class.compress input
  end

  def input_to_output_file(input_file, config)
    super(input_file, config).gsub(/\.js$/, "#{config.prefix_extension}.js")
  end

  def self.compress(input)
    Uglifier.compile input
  end
end
