# encoding: utf-8

# this is a module namespace wrapper
module EasyHtmlGenerator::Generator
  Dir[File.dirname(__FILE__) + '/generator/*.rb']
    .each { |file| require file }

  # this is a wrapper module for compiling generators
  module Compile
    Dir[File.dirname(__FILE__) + '/generator/compile/*.rb']
      .each { |file| require file }
  end

  # this is a wrapper module for minimizing generators
  module Minimize
    Dir[File.dirname(__FILE__) + '/generator/minimize/*.rb']
      .each { |file| require file }
  end

  # this is a wrapper module for generator services
  module Service
    Dir[File.dirname(__FILE__) + '/generator/service/*.rb']
      .each { |file| require file }
  end
end
