# encoding: utf-8
require 'coffee_script'
require 'easy_html_generator/generator/compile/base'

# this generator coffee sass files from src folder and copies them
# to the dist folder
class EasyHtmlGenerator::Generator::Compile::Coffee <
  EasyHtmlGenerator::Generator::Compile::Base

  def do_input!(input, input_file = 'inline', *_args)
    result = CoffeeScript.compile input

    return result unless @config.minimize

    EasyHtmlGenerator::Generator::Minimize::Js.compress result
  rescue StandardError => e
    raise e, "#{e.message} in #{input_file} ", e.backtrace
  end

  def input_to_output_file(input_file, config)
    super(input_file, config).gsub('.js.coffee', '.js')
  end
end
