# encoding: utf-8
require 'fileutils'
require 'easy_html_generator/generator/base'

# this generator creates dist paths
class EasyHtmlGenerator::Generator::Structure <
  EasyHtmlGenerator::Generator::Base

  def generate!(_config)
    @project.config.paths.dist.each do |_index, dir|
      next if dir.empty?

      FileUtils.mkdir_p("#{@project.dist_path}/#{dir}")
    end
  end
end
